in scala.xml
class MetaData

abstract `class` MetaData
  `extends` java.lang.Object
  `with` scala.Iterable[scala.xml.MetaData]
  `with` scala.ScalaObject

  Attribute information item, and linked list of attribute information items. These are triples consisting of prefix,key,value. To obtain the namespace, getNamespace must be called with the parent. If next is null, this is the last attribute in the MetaData list. either an UnprefixedAttribute or a PrefixedAttribute

todo:
  _vlue should be a normalized attribute value

Constructor Summary
| `def` this

Def Summary
| `def` append ( m : scala.xml.MetaData ) : scala.xml.MetaData appends given MetaData items to this MetaData list
| `def` apply ( s : java.lang.String ) : java.lang.String
| `def` apply ( uri : java.lang.String , scp : scala.xml.NamespaceBinding , k : java.lang.String ) : java.lang.String
| `def` containedIn1 ( m : scala.xml.MetaData ) : scala.Boolean
| `def` copy ( next : scala.xml.MetaData ) : scala.xml.MetaData returns a copy of this MetaData item with next field set to argument
| `def` elements : java.lang.Object with scala.Iterator[scala.xml.MetaData] returns an iterator on attributes
`override` | `def` equals ( that : scala.Any ) : scala.Boolean deep equals method
| `def` equals1 ( that : scala.xml.MetaData ) : scala.Boolean shallow equals method
| `def` filter ( f : (scala.xml.MetaData) => scala.Boolean ) : scala.xml.MetaData filters this sequence of meta data
| `def` getNamespace ( owner : scala.xml.Node ) : java.lang.String if owner is the element of this metadata item, returns namespace
| `def` getValue ( key : java.lang.String ) : java.lang.String gets value of unqualified (unprefixed) attribute with given key
| `def` getValue ( namespace : java.lang.String , owner : scala.xml.Node , key : java.lang.String ) : java.lang.String gets value of qualified (prefixed) attribute with given key
| `def` getValue ( namespace : java.lang.String , scope : scala.xml.NamespaceBinding , key : java.lang.String ) : java.lang.String gets value of qualified (prefixed) attribute with given key
| `def` hasNext : scala.Boolean
`override` | `def` hashCode : scala.Int
| `def` isPrefixed : scala.Boolean
| `def` key : java.lang.String returns key of this MetaData item
| `def` length ( i : scala.Int ) : scala.Int
| `def` length : scala.Int
| `def` map ( f : (scala.xml.MetaData) => scala.xml.Text ) : scala.List[scala.xml.Text] maps this sequence of meta data
| `def` next : scala.xml.MetaData returns Null or the next MetaData item
| `def` toString ( sb : scala.runtime.compat.StringBuilder ) : scala.Unit
`override` | `def` toString : java.lang.String
| `def` toString1 : java.lang.String
| `def` toString1 ( sb : scala.runtime.compat.StringBuilder ) : scala.Unit
| `def` value : java.lang.String returns value of this MetaData item
| `def` wellformed ( scope : scala.xml.NamespaceBinding ) : scala.Boolean

Constructor Detail

`def` this

Def Detail

`def` append ( m : scala.xml.MetaData ) : scala.xml.MetaData

  appends given MetaData items to this MetaData list

`def` apply ( s : java.lang.String ) : java.lang.String

`def` apply ( uri : java.lang.String , scp : scala.xml.NamespaceBinding , k : java.lang.String ) : java.lang.String

`def` containedIn1 ( m : scala.xml.MetaData ) : scala.Boolean

`def` copy ( next : scala.xml.MetaData ) : scala.xml.MetaData

  returns a copy of this MetaData item with next field set to argument

`def` elements : java.lang.Object with scala.Iterator[scala.xml.MetaData]

  returns an iterator on attributes

override `def` equals ( that : scala.Any ) : scala.Boolean

  deep equals method

`def` equals1 ( that : scala.xml.MetaData ) : scala.Boolean

  shallow equals method

`def` filter ( f : (scala.xml.MetaData) => scala.Boolean ) : scala.xml.MetaData

  filters this sequence of meta data

`def` getNamespace ( owner : scala.xml.Node ) : java.lang.String

  if owner is the element of this metadata item, returns namespace

`def` getValue ( key : java.lang.String ) : java.lang.String

  gets value of unqualified (unprefixed) attribute with given key

`def` getValue ( namespace : java.lang.String , owner : scala.xml.Node , key : java.lang.String ) : java.lang.String

  gets value of qualified (prefixed) attribute with given key

`def` getValue ( namespace : java.lang.String , scope : scala.xml.NamespaceBinding , key : java.lang.String ) : java.lang.String

  gets value of qualified (prefixed) attribute with given key

`def` hasNext : scala.Boolean

override `def` hashCode : scala.Int

`def` isPrefixed : scala.Boolean

`def` key : java.lang.String

  returns key of this MetaData item

`def` length ( i : scala.Int ) : scala.Int

`def` length : scala.Int

`def` map ( f : (scala.xml.MetaData) => scala.xml.Text ) : scala.List[scala.xml.Text]

  maps this sequence of meta data

`def` next : scala.xml.MetaData

  returns Null or the next MetaData item

`def` toString ( sb : scala.runtime.compat.StringBuilder ) : scala.Unit

override `def` toString : java.lang.String

`def` toString1 : java.lang.String

`def` toString1 ( sb : scala.runtime.compat.StringBuilder ) : scala.Unit

`def` value : java.lang.String

  returns value of this MetaData item

`def` wellformed ( scope : scala.xml.NamespaceBinding ) : scala.Boolean